iOS开发Podfile文件中platform相关解析?

一般Podfile文件中都有这么一行:
platform :ios, ’9.0’
Xcode创建完工程Deployment Info中:
Deployment Target 现在最低可以选择 8.0

那么问题来了:

(1)iOS开发使用cocoapods创建的Podfile文件中的platform有什么用?

(2)它指定的系统版本和Xcode项目中指定的系统版本有什么关系?互相会冲突吗?(比如Alamofire导入需要9.0,我在Podfile文件中设为9.0,但是在项目中Deployment Target设为8.0,会出现什么问题吗?)

(3)它和第三方库什么关系?比如有些库,在platform指定为‘7.0’的时候不能install,在‘9.0’的时候就可以

以Alamofire为例,此框架说明最低支持 ios 9则:
(1)Podfile中 platform :ios, 9.0 必须大于等于9.0才可以导入到项目中。
(2)导入到项目中后,Deployment Target 必须大于等于9.0才可以使用。

发表评论

电子邮件地址不会被公开。 必填项已用*标注